summaryrefslogtreecommitdiff
path: root/tests/store
diff options
context:
space:
mode:
Diffstat (limited to 'tests/store')
-rwxr-xr-xtests/store18
1 files changed, 15 insertions, 3 deletions
diff --git a/tests/store b/tests/store
index 5184631..eac4d77 100755
--- a/tests/store
+++ b/tests/store
@@ -1,5 +1,5 @@
#! /usr/bin/env bash
-# Copyright © 2011, 2012, 2014, 2015 Richard Kettlewell.
+# Copyright © 2011, 2012, 2014-15, 2018 Richard Kettlewell.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -20,8 +20,20 @@ setup
mv ${WORKSPACE}/store1 ${WORKSPACE}/store3
+echo "| Stores must be mount points normally"
+set +e
+STDERR=${WORKSPACE}/got/notmounted.txt RUN=store RSBACKUP_TODAY=1980-01-01 s ${RSBACKUP} --backup --store ${WORKSPACE}/store3
+status=$?
+set -e
+if [ $status != 1 ]; then
+ echo >&2 "FAILED: store mount check failed"
+ exit 1
+fi
+sed < ${WORKSPACE}/got/notmounted.txt > ${WORKSPACE}/got/notmounted-sed.txt "s,${WORKSPACE},<SRCDIR>,g"
+compare ${srcdir:-.}/expect/store/notmounted.txt ${WORKSPACE}/got/notmounted-sed.txt
+
echo "| Create backup with overridden store"
-STDERR=${WORKSPACE}/got/overridden-stderr.txt RUN=store RSBACKUP_TODAY=1980-01-01 s ${RSBACKUP} --backup --store ${WORKSPACE}/store3 --text ${WORKSPACE}/got/overridden.txt --html ${WORKSPACE}/got/overridden.html
+STDERR=${WORKSPACE}/got/overridden-stderr.txt RUN=store RSBACKUP_TODAY=1980-01-01 s ${RSBACKUP} --backup --unmounted-store ${WORKSPACE}/store3 --text ${WORKSPACE}/got/overridden.txt --html ${WORKSPACE}/got/overridden.html
exists ${WORKSPACE}/store-pre.ran
exists ${WORKSPACE}/store-post.ran
compare ${WORKSPACE}/volume1 ${WORKSPACE}/store3/host1/volume1/1980-01-01
@@ -38,7 +50,7 @@ compare ${srcdir:-.}/expect/store/overridden-stderr.txt ${WORKSPACE}/got/overrid
echo "| Create backup with overridden duplicate store"
cp -a ${WORKSPACE}/store3 ${WORKSPACE}/store1
rm -rf ${WORKSPACE}/store1/host1
-STDERR=${WORKSPACE}/got/duplicate-stderr.txt RUN=store RSBACKUP_TODAY=1980-01-01 s ${RSBACKUP} --backup --store ${WORKSPACE}/store3 --text ${WORKSPACE}/got/duplicate.txt --html ${WORKSPACE}/got/duplicate.html
+STDERR=${WORKSPACE}/got/duplicate-stderr.txt RUN=store RSBACKUP_TODAY=1980-01-01 s ${RSBACKUP} --backup --unmounted-store ${WORKSPACE}/store3 --text ${WORKSPACE}/got/duplicate.txt --html ${WORKSPACE}/got/duplicate.html
exists ${WORKSPACE}/store-pre.ran
exists ${WORKSPACE}/store-post.ran
compare ${WORKSPACE}/volume1 ${WORKSPACE}/store3/host1/volume1/1980-01-01